# Módulos, paquetes y dependencias

## Módulos

Un [módulo][] Go es una colección de [paquetes][] Go y sus dependencias que pueden ser construidos, versionados y gestionados como una unidad.

En el directorio raíz de un módulo Go hay un archivo `go.mod`, que especifica las dependencias del módulo, la versión mínima requerida de Go y otros metadatos.

### El conjunto de herramientas

Los módulos están integrados en el corazón del conjunto de herramientas[^1] de Go y se utilizan para construir y gestionar paquetes Go. Comandos como `go build`, `go test` y `go get` han sido escritos para trabajar con módulos. Como resultado, el proceso de trabajo con módulos es transparente para el usuario.

### Inicialización de un módulo

Para inicializar un nuevo módulo, puede usar el comando `go mod init`. Dicho comando requiere el nombre del módulo y creará un archivo `go.mod` en el directorio actual con ese nombre.

El nombre del módulo sigue las mismas reglas de nomenclatura[^2] que los paquetes Go.

### VCS y módulos

Las herramientas Go tienen soporte para los sistemas VCS subyacentes, como Git y Mercurial. Esto significa que puede recurrir a las herramientas que proporciona Go para trabajar con módulos en estos sistemas VCS.

Lo más probable es que quiera emplear un módulo que se pueda obtener por medio del sistema VCS a través del comando `go get`. Entonces usted, u otra persona, podría utilizar el comando `go get` para obtener ese módulo del sistema VCS.

## Paquetes

Un paquete es una colección de archivos Go que comparten la misma ruta de importación. Estos archivos están *casi siempre* en el mismo directorio, y el nombre del directorio es *casi siempre* el mismo que el nombre del paquete.

[^1]: Mejor conocido como «Go Toolchain» o simplemente «toolchain».

[^2]: Véase: [Package names — The Go Blog][package-names].

[módulo]: https://golang.org/ref/mod
[paquetes]: https://golang.org/ref/spec#Import_declarations
[package-names]: https://go.dev/blog/package-names
