# El conjunto de herramientas Go

El ejecutable `go` es la aplicación principal de la cadena de herramientas Go[^1]. Puede pasar un comando a `go`, y este realizará la acción adecuada. La cadena de herramientas tiene utilidades para ejecutar, compilar, formatear el código fuente, descargar dependencias y mucho más. Veamos la lista completa, la cual se obtiene como salida del comando `go help` o simplemente ejecutando `go` por sí solo:

```plain text
Go es una herramienta para gestionar el código fuente del lenguaje de programación Go.

Utilización:

        go <comando> [argumentos]

Los comandos son:

        bug         iniciar un informe de error
        build       compilar paquetes y dependencias
        clean       eliminar archivos objeto y archivos en caché
        doc         mostrar la documentación del paquete o símbolo
        env         imprimir información del entorno Go
        fix         actualizar los paquetes para utilizar las nuevas API
        fmt         gofmt (reformatear) fuentes del paquete
        generate    generar archivos Go procesando la fuente
        get         añadir dependencias al módulo actual e instalarlas
        install     compilar e instalar paquetes y dependencias
        list        listar paquetes o módulos
        mod         mantenimiento de módulos
        work        mantenimiento del espacio de trabajo
        run         compilar y ejecutar un programa Go
        test        ejecutar la suite de pruebas
        tool        ejecutar la herramienta go especificada
        version     Imprimir la versión de Go
        vet         informar de probables errores en los paquetes

Utilice "go help <comando>" para obtener más información sobre un comando.

Ayuda adicional:

        buildconstraint restricciones de construcción
        buildmode       modos de construcción
        c               llamadas entre Go y C
        cache           crear y probar la caché
        environment     variables de entorno
        filetype        tipos de archivos
        go.mod          el archivo go.mod
        gopath          la variable de entorno GOPATH
        gopath-get      ruta heredada de GOPATH para go get
        goproxy         módulo de protocolo proxy
        importpath      sintaxis de la ruta de importación
        modules         módulos, versiones de módulos, y más
        module-get      módulo go get
        module-auth     autenticación de módulos mediante go.sum
        packages        listas de paquetes y patrones
        private         configuración para descargar código no público
        testflag        banderas de comprobación
        testfunc        funciones de comprobación
        vcs             control de versiones con GOVCS

Utilice "go help <tema>" para obtener más información sobre ese tema.
```

La anterior corresponde a la información de salida mostrada para la versión: **go1.20.5**.

[^1]: Mejor conocido como «Go Toolchain» o simplemente «toolchain».
